local M = {}

local function onReset()
    electrics.values['wat_hirail_f_axle_change'] = 0
    electrics.values['wat_hirail_f_axle_change_input'] = 0
    electrics.values['wat_hirail_r_axle_change'] = 0
    electrics.values['wat_hirail_r_axle_change_input'] = 0
end

local function updateGFX(dt) -- ms
    electrics.values['wat_hirail_f_axle_change'] = math.min(1, math.max(-0.0, (electrics.values['wat_hirail_f_axle_change'] + electrics.values['wat_hirail_f_axle_change_input'] * dt * 0.25)))
    electrics.values['wat_hirail_r_axle_change'] = math.min(1, math.max(-0.0, (electrics.values['wat_hirail_r_axle_change'] + electrics.values['wat_hirail_r_axle_change_input'] * dt * 0.25)))
end

local function changeHirailFAxle(value)
    electrics.values.wat_hirail_f_axle_change_input = value
end

local function changeHirailRAxle(value)
    electrics.values.wat_hirail_r_axle_change_input = value
end

--public interface
M.onInit    = onReset
M.onReset   = onReset
M.updateGFX = updateGFX
M.changeHirailFAxle = changeHirailFAxle
M.changeHirailRAxle = changeHirailRAxle

return M